// Importerer ndvendige pakker
import gl4java.*;			// For  kunne implementere GLEnum og GLUEnum (gir tilgang til en rekke fields (variablene i store bokstaver))
import gl4java.utils.glut.*;	// Open GL's "verktyboks"

/**
 * <strong>Description:</strong><br>
 * A "bizarre" stand, used together with <code>BizarreBulbs</code> to make an hourglass.
 * Consists of a cone which underside just covers the opening ends of the bulbs.<br>
 * <br><strong>All code is extensively commented in Norwegian.</strong>
 * @author Therese Rsholdt, Grafisk Databehandling 2003, Hi
 * @version 0.1
 */
public class BizarreStand extends Stand
{	
	/**
	* BizarreStand constructor
	* @param gl the <code>GLFunc</code> interface that is used for this component
	* @param glu the <code>GLUFunc</code> interface that is used for this component
	* @param glut the <code>GLUTFunc</code> interface that is used for this component
	* @param bulbheight the height of the bulb, from the middle of the hourglass to the stand
	* @param endRadius the end radius of the bulb, used for setting the stands radius
	*/
	public BizarreStand ( GLFunc gl, GLUFunc glu, GLUTFunc glut, float bulbheight, float endRadius ) 
	{
		super(gl, glu, glut, bulbheight);
		standTypeName = "Bizarre";
		standRadius = endRadius;
	}
	
	/**
	* Draws a half hourglass stand
	* @param isLowerHalf used if the two halfs need to be different
	*/
	public void drawHalfStand(boolean isLowerHalf)
	{         
		// Kon med bunn
		gl.glPushMatrix();
		gl.glTranslatef(0.0f, 0.0f, innerHeight);
		glut.glutSolidCone (standRadius, standRadius * 1.0f, 80, 1);
		glu.gluQuadricOrientation(standPart, GLU_INSIDE); //M snu disken for  f materiale p rett side
		glu.gluDisk(standPart, 0.0, standRadius, 80, 1);
		gl.glPopMatrix();
	}
}